# $Revision: 1.9 $, $Date: 2008/07/27 22:27:36 $
Summary:	Additional XEphen catalogs
Summary(pl.UTF-8):	Dodatkowe katalogi do XEphema
Name:		xephem-catalogs
Version:	1.0
Release:	4
License:	distributable
Group:		X11/Applications/Science
Source0:	http://www.yvonnet.org/xephem/sky2000.edb.gz
# Source0-md5:	c3f5289fe2a4a2935581830c13138e90
Source1:	http://www.yvonnet.org/xephem/hipparcos.edb.gz
# Source1-md5:	274311da49f94296d4bea4014819e438
Source2:	http://www.yvonnet.org/xephem/ngc.edb.gz
# Source2-md5:	c05d14ce5c98bde693e4da019464ee31
Source3:	http://hexadecimal.uoregon.edu/~stevev/xephemcatalogs/tycho2.xe2
# Source3-md5:	ba25e8e580269bbcbd4a1c84bde10355
Source4:	http://hexadecimal.uoregon.edu/~stevev/xephemcatalogs/ppm1.xe2
# Source4-md5:	f2c3977f27d1e98181698fefc0c0c7b8
URL:		http://cdsweb.u-strasbg.fr/cats/cats.html
Requires:	xephem >= 3.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Additional XEphem catalogs in .edb format generated from data available
at http://cdsweb.u-strasbg.fr/cats/cats.html

- Hipparcos Input Catalogue, Version 2 (Turon+ 1993)	(I/196)
- NGC 2000.0 (Sky Publishing, ed. Sinnott 1988)		(VII/118)
- SKY2000 Catalog, Version 3 (Myers+ 2000)		(V/105)

To use this catalogs you must enable them in Data/Files submenu in main
XEphem window.

%description -l pl.UTF-8
Dodatkowe katalogi do XEphema w formacie .edb wygenerowane na podstawie
danych dostępnych pod adresem: http://cdsweb.u-strasbg.fr/cats/cats.html

- Hipparcos Input Catalogue, Version 2 (Turon+ 1993)	(I/196)
- NGC 2000.0 (Sky Publishing, ed. Sinnott 1988)		(VII/118)
- SKY2000 Catalog, Version 3 (Myers+ 2000)		(V/105)

Aby użyć tych katalogów musisz włączyć je w podmenu Data/Files głównego
okna XEphema.

%package tycho2
Summary:	Hipparcos/Tycho2 field stars catalog for XEphem
Summary(pl.UTF-8):	Katalog Hipparcos/Tycho2 dla Xephema
Group:		X11/Applications/Science
Requires:	xephem >= 3.5

%description tycho2
Hipparcos/Tycho2 catalog in .xe2 format generated from from data available
at http://cdsweb.u-strasbg.fr/cats/cats.html

- The Hipparcos and Tycho Catalogues (ESA 1997)		(I/239)
- The Tycho-2 Catalogue (Hog+ 2000)			(I/259)

To use this catalog you must enable it in Data/Field Stars submenu
in main XEphem window.

%description tycho2 -l pl.UTF-8
Katalog Hipparcos/Tycho2 w formacie .xe2 wygenerowany na podstawie danych
dostępnych pod adresem: http://cdsweb.u-strasbg.fr/cats/cats.html

- The Hipparcos and Tycho Catalogues (ESA 1997)		(I/239)
- The Tycho-2 Catalogue (Hog+ 2000)			(I/259)

Aby użyć tego katalogu musisz go włączyć w podmenu Data/Field Stars
głównego okna XEphema.

%package ppm
Summary:	PPM field stars catalog for XEphem
Summary(pl.UTF-8):	Katalog PPM dla Xephema
Group:		X11/Applications/Science
Requires:	xephem >= 3.5

%description ppm
PPM catalog in .xe2 format generated from from data available at
http://cdsweb.u-strasbg.fr/cats/cats.html

- Positions and Proper Motions - North (Roeser+, 1988)	(I/146)
- Positions and Proper Motions - South (Bastian+ 1993)	(1/193)
- The 90000 stars Supplement to the PPM Catalogue (Roeser+, 1994)
							(I/208)

To use this catalog you must enable it in Data/Field Stars submenu
in main XEphem window.

%description ppm -l pl.UTF-8
Katalog PPM w formacie .xe2 wygenerowany na podstawie danych dostępnych
pod adresem: http://cdsweb.u-strasbg.fr/cats/cats.html

- Positions and Proper Motions - North (Roeser+, 1988)	(I/146)
- Positions and Proper Motions - South (Bastian+ 1993)	(1/193)
- The 90000 stars Supplement to the PPM Catalogue (Roeser+, 1994)
							(I/208)

Aby użyć tego katalogu musisz go włączyć w podmenu Data/Field Stars
głównego okna XEphema.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xephem/catalogs

install %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/xephem/catalogs
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xephem/catalogs
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/xephem/catalogs
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/xephem/catalogs/hiptyc2.xe2
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/xephem/catalogs/ppm.xe2

gunzip $RPM_BUILD_ROOT%{_datadir}/xephem/catalogs/*.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/xephem/catalogs/ngc.edb
%{_datadir}/xephem/catalogs/hipparcos.edb
%{_datadir}/xephem/catalogs/sky2000.edb

%files tycho2
%defattr(644,root,root,755)
%{_datadir}/xephem/catalogs/hiptyc2.xe2

%files ppm
%defattr(644,root,root,755)
%{_datadir}/xephem/catalogs/ppm.xe2

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xephem-catalogs.spec,v $
Revision 1.9  2008/07/27 22:27:36  arekm
- release 4

Revision 1.8  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.6  2006/08/23 19:36:56  havner
- rel 3 for TH

Revision 1.5  2006/08/08 16:35:56  havner
- rel 2

Revision 1.4  2006/07/31 08:58:42  havner
- ppm added
- description formatting

Revision 1.3  2006/07/30 21:25:21  havner
- default attributes

Revision 1.2  2006/07/29 23:17:19  havner
- cosmetics

Revision 1.1  2006/07/29 23:05:15  havner
- additional data for xephem, this finnaly makes it usable almost out of
  the box

